Jack::JackWinProcessSync Class Reference

A synchronization primitive built using a condition variable. More...

`#include <JackWinProcessSync.h>`

Inheritance diagram for Jack::JackWinProcessSync:

## Public Member Functions

| JackWinProcessSync (const char *name=NULL)
bool | TimedWait (long usec)
bool | LockedTimedWait (long usec)
void | Wait ()
void | LockedWait ()
void | Signal ()
void | LockedSignal ()
void | SignalAll ()
void | LockedSignalAll ()
Public Member Functions inherited from Jack::JackWinMutex
| JackWinMutex (const char *name=NULL)
bool | Lock ()
bool | Trylock ()
bool | Unlock ()

## Additional Inherited Members

Protected Attributes inherited from Jack::JackWinMutex
HANDLE | fMutex

## Detailed Description

A synchronization primitive built using a condition variable.

Definition at line 32 of file JackWinProcessSync.h.

The documentation for this class was generated from the following files:

- JackWinProcessSync.h
- JackWinProcessSync.cpp